Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.jsp
Class XslFilter

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--com.caucho.jsp.XslFilter

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class XslFilter
extends GenericServlet

Filters the output of JSP pages.

See Also:
  `JspManager`, Serialized Form

Constructor Summary
`XslFilter()`

Method Summary
`java.lang.String` | `getServletInfo()` Returns a string describing the servlet.
`void` | `init(ServletConfig config)` The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification.
`void` | `service(ServletRequest request, ServletResponse response)` Service a request.

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XslFilter

    public XslFilter()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  The servlet parameter 'strict-xsl' forces XSL stylesheets to follow the strict specification. By default, XSL stylesheets follow the looser 'XSLT-lite.'

  The servlet parameter 'strict-xml' forces XTP pages to follow strict XML. By default, they're LooseHtml.

  Overrides:
    `init` in class `GenericServlet`
  Following copied from class: `javax.servlet.GenericServlet`
  Parameters:
    `config` - the servlet's configuration

### service

    public void service(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        java.io.IOException

  Description copied from interface: `Servlet`
  Service a request. Since the servlet engine is multithreaded, many threads may execute `service` simultaneously. Normally, `req` and `res` will actually be `HttpServletRequest` and `HttpServletResponse` classes.
  Following copied from interface: `javax.servlet.Servlet`
  Parameters:
    `req` - request information. Normally servlets will cast this to `HttpServletRequest`
    `res` - response information. Normally servlets will cast this to `HttpServletRequest`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns a string describing the servlet.
  Overrides:
    `getServletInfo` in class `GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD